## at cmds-38

=== Makefile ===
#
# Generated by the Apple Project Builder.
#
# NOTE: Do NOT change this file -- Project Builder maintains it.
#
# Put all of your customizations in files called Makefile.preamble
# and Makefile.postamble (both optional), and Makefile will include them.
#

NAME = at_cmds

PROJECTVERSION = 2.8
PROJECT_TYPE = Aggregate

TOOLS = appleping.tproj atlookup.tproj appletalk.tproj setdbg.tproj\
        at_cho_prn.tproj atstatus.tproj atprint.tproj

LIBRARIES = chooser tuple_pr

OTHERSRCS = Makefile.preamble Makefile Makefile.postamble

MAKEFILEDIR = $(MAKEFILEPATH)/pb_makefiles
CODE_GEN_STYLE = DYNAMIC
MAKEFILE = aggregate.make
LIBS = 
DEBUG_LIBS = $(LIBS)
PROF_LIBS = $(LIBS)


HEADER_PATHS =\
               -I$(NEXT_ROOT)$(SYSTEM_LIBRARY_DIR)/Frameworks/System.framework/PrivateHeaders/bsd/netat
NEXTSTEP_PB_CFLAGS = -DNEXT -D_ATCMD


NEXTSTEP_OBJCPLUS_COMPILER = /usr/bin/cc
WINDOWS_OBJCPLUS_COMPILER = $(DEVDIR)/gcc
PDO_UNIX_OBJCPLUS_COMPILER = $(NEXTDEV_BIN)/gcc
NEXTSTEP_JAVA_COMPILER = /usr/bin/javac
WINDOWS_JAVA_COMPILER = $(JDKBINDIR)/javac.exe
PDO_UNIX_JAVA_COMPILER = $(NEXTDEV_BIN)/javac

include $(MAKEFILEDIR)/platform.make

-include Makefile.preamble

include $(MAKEFILEDIR)/$(MAKEFILE)

-include Makefile.postamble

-include Makefile.dependencies

=== appleping.tproj/Makefile ===
#
# Generated by the Apple Project Builder.
#
# NOTE: Do NOT change this file -- Project Builder maintains it.
#
# Put all of your customizations in files called Makefile.preamble
# and Makefile.postamble (both optional), and Makefile will include them.
#

NAME = appleping

PROJECTVERSION = 2.8
PROJECT_TYPE = Tool

CFILES = appleping.c

OTHERSRCS = Makefile.preamble Makefile Makefile.postamble m.template\
            h.template appleping.1


MAKEFILEDIR = $(MAKEFILEPATH)/pb_makefiles
CODE_GEN_STYLE = DYNAMIC
MAKEFILE = tool.make
NEXTSTEP_INSTALLDIR = /usr/bin
LIBS = 
DEBUG_LIBS = $(LIBS)
PROF_LIBS = $(LIBS)


FRAMEWORKS = -framework AppleTalk


NEXTSTEP_OBJCPLUS_COMPILER = /usr/bin/cc
WINDOWS_OBJCPLUS_COMPILER = $(DEVDIR)/gcc
PDO_UNIX_OBJCPLUS_COMPILER = $(NEXTDEV_BIN)/gcc
NEXTSTEP_JAVA_COMPILER = /usr/bin/javac
WINDOWS_JAVA_COMPILER = $(JDKBINDIR)/javac.exe
PDO_UNIX_JAVA_COMPILER = $(NEXTDEV_BIN)/javac

include $(MAKEFILEDIR)/platform.make

-include Makefile.preamble

include $(MAKEFILEDIR)/$(MAKEFILE)

-include Makefile.postamble

-include Makefile.dependencies

=== appletalk.tproj/Makefile ===
#
# Generated by the Apple Project Builder.
#
# NOTE: Do NOT change this file -- Project Builder maintains it.
#
# Put all of your customizations in files called Makefile.preamble
# and Makefile.postamble (both optional), and Makefile will include them.
#

NAME = appletalk

PROJECTVERSION = 2.8
PROJECT_TYPE = Tool

CFILES = appletalk.c

OTHERSRCS = Makefile.preamble Makefile Makefile.postamble m.template\
            h.template appletalk.8 appletalk.cfg.5


MAKEFILEDIR = $(MAKEFILEPATH)/pb_makefiles
CODE_GEN_STYLE = DYNAMIC
MAKEFILE = tool.make
NEXTSTEP_INSTALLDIR = /usr/sbin
LIBS = 
DEBUG_LIBS = $(LIBS)
PROF_LIBS = $(LIBS)


FRAMEWORKS = -framework AppleTalk


NEXTSTEP_OBJCPLUS_COMPILER = /usr/bin/cc
WINDOWS_OBJCPLUS_COMPILER = $(DEVDIR)/gcc
PDO_UNIX_OBJCPLUS_COMPILER = $(NEXTDEV_BIN)/gcc
NEXTSTEP_JAVA_COMPILER = /usr/bin/javac
WINDOWS_JAVA_COMPILER = $(JDKBINDIR)/javac.exe
PDO_UNIX_JAVA_COMPILER = $(NEXTDEV_BIN)/javac

include $(MAKEFILEDIR)/platform.make

-include Makefile.preamble

include $(MAKEFILEDIR)/$(MAKEFILE)

-include Makefile.postamble

-include Makefile.dependencies

=== at_cho_prn.tproj/Makefile ===
#
# Generated by the Apple Project Builder.
#
# NOTE: Do NOT change this file -- Project Builder maintains it.
#
# Put all of your customizations in files called Makefile.preamble
# and Makefile.postamble (both optional), and Makefile will include them.
#

NAME = at_cho_prn

PROJECTVERSION = 2.8
PROJECT_TYPE = Tool

CFILES = at_cho_prn.c

OTHERSRCS = Makefile.preamble Makefile Makefile.postamble m.template\
            h.template at_cho_prn.8


MAKEFILEDIR = $(MAKEFILEPATH)/pb_makefiles
CODE_GEN_STYLE = DYNAMIC
MAKEFILE = tool.make
NEXTSTEP_INSTALLDIR = /usr/bin
LIBS = -ltuple_pr -lchooser
DEBUG_LIBS = $(LIBS)
PROF_LIBS = $(LIBS)


FRAMEWORKS = -framework AppleTalk


NEXTSTEP_OBJCPLUS_COMPILER = /usr/bin/cc
WINDOWS_OBJCPLUS_COMPILER = $(DEVDIR)/gcc
PDO_UNIX_OBJCPLUS_COMPILER = $(NEXTDEV_BIN)/gcc
NEXTSTEP_JAVA_COMPILER = /usr/bin/javac
WINDOWS_JAVA_COMPILER = $(JDKBINDIR)/javac.exe
PDO_UNIX_JAVA_COMPILER = $(NEXTDEV_BIN)/javac

include $(MAKEFILEDIR)/platform.make

-include Makefile.preamble

include $(MAKEFILEDIR)/$(MAKEFILE)

-include Makefile.postamble

-include Makefile.dependencies

=== atlookup.tproj/Makefile ===
#
# Generated by the Apple Project Builder.
#
# NOTE: Do NOT change this file -- Project Builder maintains it.
#
# Put all of your customizations in files called Makefile.preamble
# and Makefile.postamble (both optional), and Makefile will include them.
#

NAME = atlookup

PROJECTVERSION = 2.8
PROJECT_TYPE = Tool

CFILES = atlookup.c

OTHERSRCS = Makefile.preamble Makefile Makefile.postamble m.template\
            h.template atlookup.1


MAKEFILEDIR = $(MAKEFILEPATH)/pb_makefiles
CODE_GEN_STYLE = DYNAMIC
MAKEFILE = tool.make
NEXTSTEP_INSTALLDIR = /usr/bin
LIBS = -ltuple_pr
DEBUG_LIBS = $(LIBS)
PROF_LIBS = $(LIBS)


FRAMEWORKS = -framework AppleTalk


NEXTSTEP_OBJCPLUS_COMPILER = /usr/bin/cc
WINDOWS_OBJCPLUS_COMPILER = $(DEVDIR)/gcc
PDO_UNIX_OBJCPLUS_COMPILER = $(NEXTDEV_BIN)/gcc
NEXTSTEP_JAVA_COMPILER = /usr/bin/javac
WINDOWS_JAVA_COMPILER = $(JDKBINDIR)/javac.exe
PDO_UNIX_JAVA_COMPILER = $(NEXTDEV_BIN)/javac

include $(MAKEFILEDIR)/platform.make

-include Makefile.preamble

include $(MAKEFILEDIR)/$(MAKEFILE)

-include Makefile.postamble

-include Makefile.dependencies

=== atprint.tproj/Makefile ===
#
# Generated by the Apple Project Builder.
#
# NOTE: Do NOT change this file -- Project Builder maintains it.
#
# Put all of your customizations in files called Makefile.preamble
# and Makefile.postamble (both optional), and Makefile will include them.
#

NAME = atprint

PROJECTVERSION = 2.8
PROJECT_TYPE = Tool

CFILES = atprint.c

OTHERSRCS = Makefile.preamble Makefile Makefile.postamble m.template\
            h.template atprint.1


MAKEFILEDIR = $(MAKEFILEPATH)/pb_makefiles
CODE_GEN_STYLE = DYNAMIC
MAKEFILE = tool.make
NEXTSTEP_INSTALLDIR = /usr/bin
LIBS = -lchooser
DEBUG_LIBS = $(LIBS)
PROF_LIBS = $(LIBS)


FRAMEWORKS = -framework AppleTalk


NEXTSTEP_OBJCPLUS_COMPILER = /usr/bin/cc
WINDOWS_OBJCPLUS_COMPILER = $(DEVDIR)/gcc
PDO_UNIX_OBJCPLUS_COMPILER = $(NEXTDEV_BIN)/gcc
NEXTSTEP_JAVA_COMPILER = /usr/bin/javac
WINDOWS_JAVA_COMPILER = $(JDKBINDIR)/javac.exe
PDO_UNIX_JAVA_COMPILER = $(NEXTDEV_BIN)/javac

include $(MAKEFILEDIR)/platform.make

-include Makefile.preamble

include $(MAKEFILEDIR)/$(MAKEFILE)

-include Makefile.postamble

-include Makefile.dependencies

=== atstatus.tproj/Makefile ===
#
# Generated by the Apple Project Builder.
#
# NOTE: Do NOT change this file -- Project Builder maintains it.
#
# Put all of your customizations in files called Makefile.preamble
# and Makefile.postamble (both optional), and Makefile will include them.
#

NAME = atstatus

PROJECTVERSION = 2.8
PROJECT_TYPE = Tool

CFILES = atstatus.c

OTHERSRCS = Makefile.preamble Makefile Makefile.postamble m.template\
            h.template atstatus.1


MAKEFILEDIR = $(MAKEFILEPATH)/pb_makefiles
CODE_GEN_STYLE = DYNAMIC
MAKEFILE = tool.make
NEXTSTEP_INSTALLDIR = /usr/bin
LIBS = -lchooser
DEBUG_LIBS = $(LIBS)
PROF_LIBS = $(LIBS)


FRAMEWORKS = -framework AppleTalk


NEXTSTEP_OBJCPLUS_COMPILER = /usr/bin/cc
WINDOWS_OBJCPLUS_COMPILER = $(DEVDIR)/gcc
PDO_UNIX_OBJCPLUS_COMPILER = $(NEXTDEV_BIN)/gcc
NEXTSTEP_JAVA_COMPILER = /usr/bin/javac
WINDOWS_JAVA_COMPILER = $(JDKBINDIR)/javac.exe
PDO_UNIX_JAVA_COMPILER = $(NEXTDEV_BIN)/javac

include $(MAKEFILEDIR)/platform.make

-include Makefile.preamble

include $(MAKEFILEDIR)/$(MAKEFILE)

-include Makefile.postamble

-include Makefile.dependencies

=== chooser/Makefile ===
#
# Generated by the Apple Project Builder.
#
# NOTE: Do NOT change this file -- Project Builder maintains it.
#
# Put all of your customizations in files called Makefile.preamble
# and Makefile.postamble (both optional), and Makefile will include them.
#

NAME = chooser

PROJECTVERSION = 2.8
PROJECT_TYPE = Library

CFILES = chooser.c

OTHERSRCS = Makefile.preamble Makefile Makefile.postamble m.template\
            h.template


MAKEFILEDIR = $(MAKEFILEPATH)/pb_makefiles
CURRENTLY_ACTIVE_VERSION = YES
DEPLOY_WITH_VERSION_NAME = A
CODE_GEN_STYLE = DYNAMIC
MAKEFILE = library.make
NEXTSTEP_INSTALLDIR = /usr/local/lib
WINDOWS_INSTALLDIR = $(HOMEDRIVE)$(LOCAL_DEVELOPER_DIR)/Libraries
PDO_UNIX_INSTALLDIR = /usr/local/lib
LIBS = 
DEBUG_LIBS = $(LIBS)
PROF_LIBS = $(LIBS)


FRAMEWORKS = -framework AppleTalk


WINDOWS_PUBLIC_HEADERS_DIR = $(HOMEDRIVE)$(LOCAL_DEVELOPER_DIR)/Headers/$(NAME)

PDO_UNIX_PUBLIC_HEADERS_DIR = $(LOCAL_DEVELOPER_DIR)/Headers/$(NAME)

NEXTSTEP_OBJCPLUS_COMPILER = /usr/bin/cc
WINDOWS_OBJCPLUS_COMPILER = $(DEVDIR)/gcc
PDO_UNIX_OBJCPLUS_COMPILER = $(NEXTDEV_BIN)/gcc
NEXTSTEP_JAVA_COMPILER = /usr/bin/javac
WINDOWS_JAVA_COMPILER = $(JDKBINDIR)/javac.exe
PDO_UNIX_JAVA_COMPILER = $(NEXTDEV_BIN)/javac

include $(MAKEFILEDIR)/platform.make

-include Makefile.preamble

include $(MAKEFILEDIR)/$(MAKEFILE)

-include Makefile.postamble

-include Makefile.dependencies

=== setdbg.tproj/Makefile ===
#
# Generated by the Apple Project Builder.
#
# NOTE: Do NOT change this file -- Project Builder maintains it.
#
# Put all of your customizations in files called Makefile.preamble
# and Makefile.postamble (both optional), and Makefile will include them.
#

NAME = setdbg

PROJECTVERSION = 2.8
PROJECT_TYPE = Tool

CFILES = setdbg.c

OTHERSRCS = Makefile.preamble Makefile Makefile.postamble m.template\
            h.template setdbg.8


MAKEFILEDIR = $(MAKEFILEPATH)/pb_makefiles
CODE_GEN_STYLE = DYNAMIC
MAKEFILE = tool.make
NEXTSTEP_INSTALLDIR = /usr/local/bin
LIBS =
DEBUG_LIBS = $(LIBS)
PROF_LIBS = $(LIBS)


FRAMEWORKS = -framework AppleTalk


NEXTSTEP_OBJCPLUS_COMPILER = /usr/bin/cc
WINDOWS_OBJCPLUS_COMPILER = $(DEVDIR)/gcc
PDO_UNIX_OBJCPLUS_COMPILER = $(NEXTDEV_BIN)/gcc
NEXTSTEP_JAVA_COMPILER = /usr/bin/javac
WINDOWS_JAVA_COMPILER = $(JDKBINDIR)/javac.exe
PDO_UNIX_JAVA_COMPILER = $(NEXTDEV_BIN)/javac

include $(MAKEFILEDIR)/platform.make

-include Makefile.preamble

include $(MAKEFILEDIR)/$(MAKEFILE)

-include Makefile.postamble

-include Makefile.dependencies

=== tuple_pr/Makefile ===
#
# Generated by the Apple Project Builder.
#
# NOTE: Do NOT change this file -- Project Builder maintains it.
#
# Put all of your customizations in files called Makefile.preamble
# and Makefile.postamble (both optional), and Makefile will include them.
#

NAME = tuple_pr

PROJECTVERSION = 2.8
PROJECT_TYPE = Library

CFILES = tuple_pr.c

OTHERSRCS = Makefile.preamble Makefile Makefile.postamble m.template\
            h.template


MAKEFILEDIR = $(MAKEFILEPATH)/pb_makefiles
CURRENTLY_ACTIVE_VERSION = YES
DEPLOY_WITH_VERSION_NAME = A
CODE_GEN_STYLE = DYNAMIC
MAKEFILE = library.make
NEXTSTEP_INSTALLDIR = /usr/local/lib
WINDOWS_INSTALLDIR = $(HOMEDRIVE)$(LOCAL_DEVELOPER_DIR)/Libraries
PDO_UNIX_INSTALLDIR = /usr/local/lib
LIBS = 
DEBUG_LIBS = $(LIBS)
PROF_LIBS = $(LIBS)


FRAMEWORKS = -framework AppleTalk


WINDOWS_PUBLIC_HEADERS_DIR = $(HOMEDRIVE)$(LOCAL_DEVELOPER_DIR)/Headers/$(NAME)

PDO_UNIX_PUBLIC_HEADERS_DIR = $(LOCAL_DEVELOPER_DIR)/Headers/$(NAME)

NEXTSTEP_OBJCPLUS_COMPILER = /usr/bin/cc
WINDOWS_OBJCPLUS_COMPILER = $(DEVDIR)/gcc
PDO_UNIX_OBJCPLUS_COMPILER = $(NEXTDEV_BIN)/gcc
NEXTSTEP_JAVA_COMPILER = /usr/bin/javac
WINDOWS_JAVA_COMPILER = $(JDKBINDIR)/javac.exe
PDO_UNIX_JAVA_COMPILER = $(NEXTDEV_BIN)/javac

include $(MAKEFILEDIR)/platform.make

-include Makefile.preamble

include $(MAKEFILEDIR)/$(MAKEFILE)

-include Makefile.postamble

-include Makefile.dependencies

## at 3.1.8-11

=== debian/changelog ===
at (3.1.8-11) unstable; urgency=high

  * Temporarily taking over this package
  * Incorporate security fix from stable
  * Regenerate y.tab.* (closes: #129561)
  * Apparently you can't find the so called "upstream" version anymore, and
    other distributions list us as upstream, so making it Debian native
    (closes: #129529)
  * Fix typo in atd manpage (closes: #122615)
  * Fix /usr/doc reference in at manpage (closes: #75262)
  * Install prerm script (closes: #127450, #109949)
  * Update build-depends (closes: #89824)
  * Remove suidmanager support (closes: #61868, #74056)
  * Build with -O2

 -- Ryan Murray <rmurray@debian.org>  Fri, 18 Jan 2002 00:13:16 -0800

at (3.1.8-10.1) stable; urgency=high

  * Security upload
  * Removed superflous free() which caused a segv
  * Check for the return value of mktime()

 -- Martin Schulze <joey@infodrom.org>  Sat, 12 Jan 2002 16:22:42 +0100

at (3.1.8-10) frozen unstable; urgency=high

  * Suidunregister /usr/bin (closes: Bug#59421).
  * Rewrote perm.c to correctly deal with single character pw_name and
    incomplete last lines in at.{allow,deny}. Thanks to
    Sotiris.Vassilopoulos@betatech.gr for pointing this out.
  * Included patch by Florian Zumbiehl <florz@gmx.de> adding some
    read-only variables to no_export.
  * SIGCHLD handler now correctly loops on a non-blocking waitpid.
    Hopefully this gets rid of zombies even on SMP systems
    (closes: Bug#60549).
  * Changed AC_FUNC_GETLOADAVG to AC_REPLACE_FUNCS(getloadavg) in
    configure.in since it introduces a spurious depencency on libelfg0
    whenever that package is installed on the build machine.
    (closes: Bug#61295). 
  * configure.in: rewrote directory tests such that configure fails due to
    a missing SPOOLDIR only when --with-jobdir or --with-atspool doesn't
    specify an explicit path.

 -- Siggy Brentrup <bsb@winnegan.de>  Mon,  3 Apr 2000 13:56:47 +0200

at (3.1.8-9) frozen unstable; urgency=low, closes=53715 56047 56607 55560 55514

  * Added SIGCHLD handler to release zombies (closes 53715 56047 56607)
  * Changed dependency to mail-transport-agent only since /usr/bin/mail
    doesn't grok the Subject: line. (closes 55560)
  * Fixed postinst to suidregister /usr/bin/at (closes 55514)

 -- Siggy Brentrup <bsb@winnegan.de>  Sun, 30 Jan 2000 22:00:46 +0100

at (3.1.8-8) unstable; urgency=low

  * New maintainer (according to Joey this is an upstream job too :)
  * Upgrade to standards version 3.1.1.1

 -- Siggy Brentrup <bsb@winnegan.de>  Tue, 11 Jan 2000 10:08:06 +0100

at (3.1.8-7.1) unstable; urgency=low

  * Non-maintainer release, with permission.
  * Corrected patch for Bug#39527 so that it doesn't ignore all pending jobs.
    (closes: #49708, #49739, #50984).

 -- Richard Braakman <dark@xs4all.nl>  Thu, 25 Nov 1999 23:32:43 +0100

at (3.1.8-7) unstable; urgency=low, closes=38293 25070 39527 38293 43032 38962 42469

  * Changed load average to run to 1.5 (closes: Bug#38293)
  * Unignored SIGCHLD (closes: Bug#25070)
  * Applied patch from Zack Weinberg <zack@rabi.columbia.edu> that keeps
    atd from spinning the disk (closes: Bug#39527)
  * Added support for arguments to /etc/init.d/atd (closes: Bug#38293)
  * Reworked the date parser so it will recognize 2345 and 102900
    properly, 12900 as well (closes: Bug#43032, Bug#38962)
  * Corrected weekday parser (closes: Bug#42469)
  * Corrected path in atrun(8).

 -- Martin Schulze <joey@finlandia.infodrom.north.de>  Thu, 28 Oct 1999 00:05:52 +0200

at (3.1.8-6) unstable; urgency=low, closes=34919 36628 36650

  * Added text -x atd to init.d file (closes: Bug#34919)
  * Added parsetest target to Makefile.in to provide a test program
  * Hax0red the date/time parser so it parses the date properly,
    especially when specifying a year (closes: Bug#36628)
  * Added -M (don't send mail at all) feature to at client and at server
    (closes: Bug#36650)

 -- Martin Schulze <joey@finlandia.infodrom.north.de>  Sun, 23 May 1999 18:15:33 +0200

at (3.1.8-5) unstable; urgency=low, closes=30796 29843

  * Added proper support for time specified with AM/pm.  Thanks to Julian
    Gilbey <jdg@maths.qmw.ac.uk> (closes: Bug#30796)
  * Added more system accounts to at.deny file (closes: Bug#29843)

 -- Martin Schulze <joey@finlandia.infodrom.north.de>  Sun,  3 Jan 1999 17:02:56 +0100

at (3.1.8-4) unstable; urgency=low, closes=27414 19272 24943 11633 17131 27872 26917 25227 23141 21528 18181

  * Applied OpenBSD/buflen patch provided by Topi Miettinen
    <tom@medialab.sonera.net> (closes: Bug#27414)
  * Corrected at_allow(5) manpage (closes: Bug#24943)
  * Moved /bin/sh warning in front of input stream (closes: Bug#11633)
  * Added prototype for yylex() and yyerror() (closes: Bug#17131)
  * Corrected recognition of weekdays (closes: Bug#27872, Bug#26917, Bug#18181)
  * Reformatted some "SEE ALSO" section.
  * Adjusted Usage output of atq according to code and manpage.  `-v' is
    not supported anymore. (closes: Bug#25227, Bug#21528)
  * Re-added support for atq displaying the owner of the atjob.  I dunno
    if the author would accept it if he would appear again, though.
    (closes: Bug#23141)
  * Removed preinst
  * Documented problem with NFS-mounted spool directories (Bug#13603 and
    Bug#13605)

 -- Martin Schulze <joey@finlandia.infodrom.north.de>  Sat, 24 Oct 1998 12:59:08 +0200

at (3.1.8-3) unstable; urgency=low, closes=19272 14529 15812 16429 16581 25981 25982

  * New maintainer
  * Updated Standards-Version
  * Rewrote rules file
  * Fixed manpages
  * Renamed copyright (closes: Bug#14529, fixes: Bug#16429)
  * Fixed misspelled files in /usr/doc/at (fixes: Bug#16429)
  * Adjusted copyright file
  * Added /etc/init.d/atd as conffile
  * Completed init.d script
  * Aded --with-jobdir and --with-atspool so it builds on systems where it
    isn't installed as well (closes: Bug#15812)
  * Corrected location of sendmail (closes: Bug#16429)
  * Fixed preinst (closes: Bug#16581)



=== debian/control ===
Source: at
Section: admin
Priority: important
Maintainer: Ryan Murray <rmurray@debian.org>
Standards-Version: 3.1.1.1
Build-Depends: bison, flex, mail-transport-agent

Package: at
Architecture: any
Depends: ${shlibs:Depends}, mail-transport-agent
Description: Delayed job execution and batch processing
 At and batch read shell commands from standard input
 storing them as a job to be scheduled for execution in the
 future.
 .
 Use
  at    to run the job at a specified time
  batch to run the job when system load levels permit

## at 3.1.8-11ubuntu2

=== debian/changelog ===
at (3.1.8-11ubuntu2) warty; urgency=low

  * Added versioned depend on lsb-base

 -- Nathaniel McCallum <npmccallum@canonical.com>  Fri,  3 Sep 2004 14:47:30 -0400

at (3.1.8-11ubuntu1) warty; urgency=low

  * debian/rc: pretty initscript

 -- Nathaniel McCallum <npmccallum@canonical.com>  Thu,  2 Sep 2004 16:36:08 -0400

## at 3.1.8-11ubuntu3

=== debian/changelog ===
at (3.1.8-11ubuntu3) hoary; urgency=low

  * Derooted /usr/bin/at.
  * at.c:
    - Keep real uid, only switch to daemon gid when unlinking files (the
      directory is daemon-group writeable, but the job files are owned by user).
    - Instead of creating the job file and then fchown()'ing it (which does
      not work when running as non-root), change to the real gid when
      creating the file.
  * atd.c:
    - Don't check that the file gid is equal to the execution gid (since job
      files are now always owned by "daemon".
    - setgid() to the user's gid, not to the file gid for job execution.
  * debian/rules:
    - Install /usr/bin/at as daemon:daemon 6555 instead of root:root 4755
      (running as user daemon is necessary to be allowed to send a signal to
      atd.)
    - Install /etc/at.deny as root:daemon 640 instead of root:root 0600.
  * debian/postinst:
    - Make /var/spool/cron/{atjobs,atspool} writeable for group "daemon".
    - Update permissions of /etc/at.{allow,deny} if we upgrade from a previous
      version and there is no statoverride for these files.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 18 Feb 2005 10:56:28 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 Package: at
 Architecture: any
-Depends: ${shlibs:Depends}, mail-transport-agent
+Depends: ${shlibs:Depends}, mail-transport-agent, lsb-base (>= 1.3-9ubuntu3)
 Description: Delayed job execution and batch processing
  At and batch read shell commands from standard input
  storing them as a job to be scheduled for execution in the

## at 3.1.8-11ubuntu5

=== debian/changelog ===
at (3.1.8-11ubuntu5) breezy; urgency=low

  * at.c: Make at job files group readable (i. e. readable by 'daemon') to
    make "at -c <job>" work again. (Ubuntu #12825)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu,  4 Aug 2005 16:21:43 +0200

at (3.1.8-11ubuntu4) breezy; urgency=low

  * Recommend: postfix | mail-transport-agent

 -- LaMont Jones <lamont@ubuntu.com>  Mon,  2 May 2005 16:49:39 -0600

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,8 @@
 
 Package: at
 Architecture: any
-Depends: ${shlibs:Depends}, mail-transport-agent, lsb-base (>= 1.3-9ubuntu3)
+Depends: ${shlibs:Depends}, lsb-base (>= 1.3-9ubuntu3)
+Recommends: postfix | mail-transport-agent
 Description: Delayed job execution and batch processing
  At and batch read shell commands from standard input
  storing them as a job to be scheduled for execution in the

=== debian/rules ===
#! /usr/bin/make -f 

#   Copyright 1994-98   joey@infodrom.north.de (Martin Schulze)
#
#   This program is free software; you can redistribute it and/or modify
#   it under the terms of the GNU General Public License as published by
#   the Free Software Foundation; version 2 dated June, 1991.
#
#   This program is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.
#
#   You should have received a copy of the GNU General Public License
#   along with this program;  if not, write to the Free Software
#   Foundation Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA
SHELL=/bin/bash

# The name and version of the source
#
source = $(shell grep "^Source: " debian/control|head -1|sed 's/Source: \(.*\)/\1/g')
package = $(shell grep "^Package: " debian/control|head -1|sed 's/Package: \(.*\)/\1/g')
version = $(shell grep "^$(source) " debian/changelog|head -1 |sed 's/.*(\(.*\)\-[^\-]*).*/\1/g')
revision = $(shell grep "^$(source) " debian/changelog|head -1 |sed 's/.*([^\-]*\-\(.*\)).*/\1/g')

installbin = install -g root -o root -m 755
installdoc = install -g root -o root -m 644

build:
	-test -f config.cache || PATH=/usr/sbin:$${PATH} ./configure --prefix=/usr \
		--with-loadavg_mx=1.5 \
		--with-jobdir=/var/spool/cron/atjobs \
		--with-atspool=/var/spool/cron/atspool
	sed 's,/usr/lib/sendmail,/usr/sbin/sendmail,g' \
		< config.h > config.h.new
	mv -f config.h.new config.h
	$(MAKE)
	touch stamp-build

clean: debclean
	rm -f stamp-build
	-$(MAKE) distclean
	rm -rf *~ TAGS

debclean:
# Cleans debian binary directories to allow binary creation
	rm -rf debian/tmp
	rm -f debian/{files,substvars}

binary-indep:
# Nothing to be done here

#find debian/tmp/usr/share/doc debian/tmp/usr/share/man -type f | xargs gzip -9
#find debian/tmp/usr/share/man -type l | xargs rm
#cd debian/tmp/usr/share/man/man1 && ln -s at.1.gz batch.1.gz && ln -s at.1.gz atq.1.gz && ln -s at.1.gz atrm.1.gz
#cd debian/tmp/usr/share/man/man5 && ln -s at_allow.5.gz at_deny.5.gz && rm -f at_deny.5

binary-arch: debclean
	test -f stamp-build || $(MAKE) -f debian/rules build
	$(installbin) -d debian/tmp/DEBIAN
	chown -R root.root debian/tmp
	chmod -R g-ws debian/tmp
	$(installbin) -d debian/tmp/usr/share/doc/$(package)
	$(installbin) debian/{preinst,postinst,postrm,prerm} debian/tmp/DEBIAN/
	$(installdoc) debian/conffiles debian/tmp/DEBIAN/
	$(installdoc) debian/changelog debian/tmp/usr/share/doc/$(package)/changelog.Debian
	#
	$(installdoc) ChangeLog debian/tmp/usr/share/doc/$(package)/changelog
	$(installdoc) debian/copyright debian/tmp/usr/share/doc/$(package)/
	$(installdoc) README debian/tmp/usr/share/doc/$(package)/readme.txt
	gzip -9f debian/tmp/usr/share/doc/$(package)/{changelog{,.Debian},readme.txt}
	#
	$(MAKE) IROOT=`pwd`/debian/tmp mandir=/usr/share/man docdir=/usr/share/doc install
	rm -f debian/tmp/usr/share/doc/at/{Copyright,ChangeLog,README}
	rm -f debian/tmp/usr/share/man/man1/{atq,atrm,batch}.1
	rm -f debian/tmp/usr/share/man/man5/at_deny.5
	mv -f debian/tmp/usr/share/man/man5/at_allow.5 debian/tmp/usr/share/man/man5/at.allow.5
	gzip -9 debian/tmp/usr/share/man/man?/*
	(cd debian/tmp/usr/share/man/man1 && ln -s at.1.gz atq.1.gz && ln -s at.1.gz atrm.1.gz && ln -s at.1.gz batch.1.gz)
	(cd debian/tmp/usr/share/man/man5 && ln -s at.allow.5.gz at.deny.5.gz)
	#
	chown daemon:daemon debian/tmp/usr/bin/at
	chmod 6555 debian/tmp/usr/bin/at
	chown root:daemon debian/tmp/etc/at.deny
	chmod 640 debian/tmp/etc/at.deny
	#
	$(installbin) -d debian/tmp/etc/init.d
	$(installbin) debian/rc debian/tmp/etc/init.d/atd
	dpkg-shlibdeps debian/tmp/usr/sbin/atd debian/tmp/usr/bin/at
	dpkg-gencontrol -isp
	dpkg --build debian/tmp ..

binary: binary-indep binary-arch

source diff:
	@echo >&2 'source and diff are obsolete - use dpkg-source -b' or dsc; false

dsc:
	-test -d debian/tmp && $(MAKE) -f debian/rules clean
	if [ ! -f ../$(source)_$(version).orig.tar.gz -a -f ../orig/$(source)_$(version).orig.tar.gz ]; \
	then \
	  ln -s orig/$(source)_$(version).orig.tar.gz ../$(source)_$(version).orig.tar.gz; \
	  touch /tmp/stamp-$(source)-link; \
	fi; \
	cd .. && dpkg-source -b $(source)-$(version)
	if [ -f /tmp/stamp-$(source)-link ]; then \
	  rm ../$(source)_$(version).orig.tar.gz /tmp/stamp-$(source)-link; \
	fi

checkroot:
	$(checkdir)
	test root = "`whoami`"

dist: binary dsc

.PHONY: binary binary-arch binary-indep clean checkroot
# Local variables:
# mode: makefile
# End:

## at 3.1.9ubuntu3

=== debian/changelog ===
at (3.1.9ubuntu3) dapper; urgency=low

  * No-change upload to clean up after #38227

 -- Matt Zimmerman <mdz@ubuntu.com>  Mon,  8 May 2006 13:15:50 -0700

at (3.1.9ubuntu2) dapper; urgency=low

  * Tidy up the init script to actuall function in a policy-compliant
    fashion in all start/stop/restart cases, rather than bombing out
    and (for example) killing our own postinst.

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 15 Feb 2006 11:12:51 +1100

at (3.1.9ubuntu1) dapper; urgency=low

  * Merge to new Debian version.
  * Derooting patch was accepted in Debian; manually reapply remaining Ubuntu
    changes to the clean Debian version (see below).
  * debian/control: Only recommend mail-transport-agent and prefer postfix.
  * debian/rc: LSB init script.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed,  9 Nov 2005 12:57:45 -0500

at (3.1.9) unstable; urgency=low

  * Apply rewritten parser patch (closes: #70928)
  * Several changes to be more SUSv3 compliant (closes: #133812)
  * Remove yacc/flex generated files, and remove them in the clean target
  * Remove /usr/doc handling from scripts (closes :#261467)
  * use chown with : instead of . (closes: #205523)
  * Add two precisions to format strings (closes: #220336)
  * Fix manpage typos (closes: #153700, #175211)
  * Use --retry option of start-stop-daemon (closes: #84351)
  * Create /var/spool/cron/atjobs/.SEQ in the postinst (closes: #142810)
  * Always rescan the queue after signals (closes: #194674)
  * use 89 11 as parameters to update-rc.d defaults (closes: #200627)
  * hold privs longer when creating pid file (closes: #13603)
  * Add stdio.h for stderr to parsetime.y (closes: #130023)
  * Use invoke-rc.d in maintainer scripts (closes: #162677)
  * Allow usernames > 8 characters.  Don't write out usernames with at that
    atd will later call corrupt (closes: #17561)
  * Run as user daemon, rather than root (from 3.1.8-11ubuntu3) (closes: #251058)
    + Derooted /usr/bin/at.
    + at.c:
      - Keep real uid, only switch to daemon gid when unlinking files (the
        directory is daemon-group writeable, but the job files are owned by user).
      - Instead of creating the job file and then fchown()'ing it (which does
        not work when running as non-root), change to the real gid when
        creating the file.
    + atd.c:
      - Don't check that the file gid is equal to the execution gid (since job
        files are now always owned by "daemon".
      - setgid() to the user's gid, not to the file gid for job execution.
    + debian/rules:
      - Install /usr/bin/at as daemon:daemon 6555 instead of root:root 4755
        (running as user daemon is necessary to be allowed to send a signal to
         atd.)
      - Install /etc/at.deny as root:daemon 640 instead of root:root 0600.
    + debian/postinst:
      - Make /var/spool/cron/{atjobs,atspool} writeable for group "daemon".
      - Update permissions of /etc/at.{allow,deny} if we upgrade from a previous
        version and there is no statoverride for these files.
  * Update standards version (closes: #239394)
  * Increment tm_mday for at "time" case, rather than hardcoded increment of
    a day in seconds.  (closes: #61604)
  * Print usage on "at -c" (closes: #202617)
  * Increment tm_year when the month and day are earlier than current
    (closes: #79650)
  * Drop ISO timeformat; following SUSv3 instead (closes: #53586)
  * Add optional PAM support based on the submitted patch (closes: #68364)
  * Use AC_FUNC_GETLOADAVG and getloadavg.c from XEmacs, so that the
    system function is used first, then the getloadavg.c from at if it isn't
    available (closes: #269440)
  * Fix permissions of /var/spool/cron/at* in the deb files to match what is
    used now
  * Remove /usr/sbin/atrun; the packaging is set up for running as a daemon.
  * Align batch(1) with SUSv3 by accepting no arguments (closes: #70988)
  * Update description of -v option to clarify that it prints the time
    before the job submission starts (closes: #257074)
  * Update description of submission to uppercase queues (closes: #84791)
  * Update atq format description (closes: #193396)
  * Return EXIT_FAILURE if one jobid fails for -c and -r (closes: #173635)

 -- Ryan Murray <rmurray@debian.org>  Tue,  2 Aug 2005 02:34:45 -0700

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: admin
 Priority: important
 Maintainer: Ryan Murray <rmurray@debian.org>
-Standards-Version: 3.1.1.1
-Build-Depends: bison, flex, mail-transport-agent
+Standards-Version: 3.6.2
+Build-Depends: bison, flex, libpam0g-dev, mail-transport-agent
 
 Package: at
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -58,10 +58,10 @@
 binary-arch: debclean
 	test -f stamp-build || $(MAKE) -f debian/rules build
 	$(installbin) -d debian/tmp/DEBIAN
-	chown -R root.root debian/tmp
+	chown -R root:root debian/tmp
 	chmod -R g-ws debian/tmp
 	$(installbin) -d debian/tmp/usr/share/doc/$(package)
-	$(installbin) debian/{preinst,postinst,postrm,prerm} debian/tmp/DEBIAN/
+	$(installbin) debian/{postinst,postrm,prerm} debian/tmp/DEBIAN/
 	$(installdoc) debian/conffiles debian/tmp/DEBIAN/
 	$(installdoc) debian/changelog debian/tmp/usr/share/doc/$(package)/changelog.Debian
 	#
@@ -72,20 +72,17 @@
 	#
 	$(MAKE) IROOT=`pwd`/debian/tmp mandir=/usr/share/man docdir=/usr/share/doc install
 	rm -f debian/tmp/usr/share/doc/at/{Copyright,ChangeLog,README}
-	rm -f debian/tmp/usr/share/man/man1/{atq,atrm,batch}.1
-	rm -f debian/tmp/usr/share/man/man5/at_deny.5
+	rm -f debian/tmp/var/spool/cron/atjobs/.SEQ
+	chown daemon:daemon debian/tmp/var/spool/cron/atjobs debian/tmp/var/spool/cron/atspool
+	rm -f debian/tmp/usr/share/man/man1/{atq,atrm,batch}.1 debian/tmp/usr/share/man/man8/atrun.8
+	rm -f debian/tmp/usr/share/man/man5/at_deny.5 debian/tmp/usr/sbin/atrun
 	mv -f debian/tmp/usr/share/man/man5/at_allow.5 debian/tmp/usr/share/man/man5/at.allow.5
 	gzip -9 debian/tmp/usr/share/man/man?/*
 	(cd debian/tmp/usr/share/man/man1 && ln -s at.1.gz atq.1.gz && ln -s at.1.gz atrm.1.gz && ln -s at.1.gz batch.1.gz)
 	(cd debian/tmp/usr/share/man/man5 && ln -s at.allow.5.gz at.deny.5.gz)
-	#
-	chown daemon:daemon debian/tmp/usr/bin/at
-	chmod 6555 debian/tmp/usr/bin/at
-	chown root:daemon debian/tmp/etc/at.deny
-	chmod 640 debian/tmp/etc/at.deny
-	#
-	$(installbin) -d debian/tmp/etc/init.d
+	$(installbin) -d debian/tmp/etc/init.d debian/tmp/etc/pam.d
 	$(installbin) debian/rc debian/tmp/etc/init.d/atd
+	$(installbin) debian/pam debian/tmp/etc/pam.d/atd
 	dpkg-shlibdeps debian/tmp/usr/sbin/atd debian/tmp/usr/bin/at
 	dpkg-gencontrol -isp
 	dpkg --build debian/tmp ..

## at 3.1.10ubuntu3

=== debian/changelog ===
at (3.1.10ubuntu3) edgy; urgency=low

  * Add forgotten versioned-dependency on sysv-rc to get new update-rc.d
    behaviour.  Go me.

 -- Scott James Remnant <scott@ubuntu.com>  Fri, 21 Jul 2006 01:19:19 +0100

at (3.1.10ubuntu2) edgy; urgency=low

  * Remove stop links from rc0 and rc6

 -- Scott James Remnant <scott@ubuntu.com>  Thu, 20 Jul 2006 21:53:23 +0100

at (3.1.10ubuntu1) edgy; urgency=low

  * Merge from debian unstable, resolved minor conflicts.
    - Only change that's left: mail-transport-agent dependency -> Recommends
      (and prefer postfix).

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 28 Jun 2006 09:11:59 +0200

at (3.1.10) unstable; urgency=low

  * Fix typo in init script (closes: #321141)
  * Allow "at <time> - <number> minutes" to work (closes: #321325)
  * Correct cannot find job logic for atrm (closes: #325253)
  * Rewrite init script using lsb functions (closes: #335307)
  * Correct help for atrm; -q is not supported (closes: #332417)

 -- Ryan Murray <rmurray@debian.org>  Mon,  2 Jan 2006 23:08:51 -0800

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 Package: at
 Architecture: any
-Depends: ${shlibs:Depends}, lsb-base (>= 1.3-9ubuntu3)
+Depends: ${shlibs:Depends}, lsb-base (>= 3.0-10), sysv-rc (>= 2.86.ds1-14.1ubuntu2)
 Recommends: postfix | mail-transport-agent
 Description: Delayed job execution and batch processing
  At and batch read shell commands from standard input

## at 3.1.10ubuntu4

=== debian/changelog ===
at (3.1.10ubuntu4) feisty; urgency=low

  * debian/control: Update maintainer fields according to debian-
    maintainer-field spec.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 20 Feb 2007 12:26:39 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: at
 Section: admin
 Priority: important
-Maintainer: Ryan Murray <rmurray@debian.org>
+Maintainer: Ubuntu Core Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Ryan Murray <rmurray@debian.org>
 Standards-Version: 3.6.2
 Build-Depends: bison, flex, libpam0g-dev, mail-transport-agent

## at 3.1.10.1ubuntu3

=== debian/changelog ===
at (3.1.10.1ubuntu3) intrepid; urgency=low

  * debian/control: Depend on lsb >= 3.2-12ubuntu2, which has the
    status_of_proc() function.
  * debian/rc: Add the 'status' action (LP: #247091).

 -- Dustin Kirkland <kirkland@ubuntu.com>  Wed, 09 Jul 2008 16:39:40 -0500

at (3.1.10.1ubuntu2) intrepid; urgency=low

  * debian/control: Drop mail-transport-agent to a Suggests: again, and prefer
    real alternative postfix. (Accidentally dropped in the merge)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 16 May 2008 11:52:38 +0200

at (3.1.10.1ubuntu1) intrepid; urgency=low

  * Merge with Debian unstable. Remaining Ubuntu changes:
    - debian/postinst: Do not install stop rc.d links for shutdown and reboot,
      they are not needed.
  * debian/rc: Remove 0 and 6 from Default-Stop: LSB header, too.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 15 May 2008 15:50:38 +0200

at (3.1.10.1) unstable; urgency=low

  * Non-maintainer uploaded to fix release goal issue.
  * Correct LSB header of init.d script (Closes: #376780).

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 27 Jan 2008 06:15:14 +0100

=== debian/control ===
--- 
+++ 
@@ -8,8 +8,8 @@
 
 Package: at
 Architecture: any
-Depends: ${shlibs:Depends}, lsb-base (>= 3.0-10), sysv-rc (>= 2.86.ds1-14.1ubuntu2)
-Recommends: postfix | mail-transport-agent
+Depends: ${shlibs:Depends}, lsb-base (>= 3.2-12ubuntu3)
+Suggests: postfix | mail-transport-agent
 Description: Delayed job execution and batch processing
  At and batch read shell commands from standard input
  storing them as a job to be scheduled for execution in the

## at 3.1.10.2

=== debian/changelog ===
at (3.1.10.2) unstable; urgency=low

  * Non-maintainer upload.
  * Change Depends to include exim4 as alternative to mail-transport-agent.
    (closes: #474999)
  * Change Build-Depends to include ssmtp as alternative to
    mail-transport-agent. This is what the Debian build daemons do anyway.
    (closes: #491877)

 -- Christoph Berg <myon@debian.org>  Tue, 23 Sep 2008 11:11:21 +0200

=== debian/control ===
Source: at
Section: admin
Priority: important
Maintainer: Ryan Murray <rmurray@debian.org>
Standards-Version: 3.6.2
Build-Depends: bison, flex, libpam0g-dev, ssmtp | mail-transport-agent

Package: at
Architecture: any
Depends: ${shlibs:Depends}, exim4 | mail-transport-agent, lsb-base (>= 3.0-10)
Description: Delayed job execution and batch processing
 At and batch read shell commands from standard input
 storing them as a job to be scheduled for execution in the
 future.
 .
 Use
  at    to run the job at a specified time
  batch to run the job when system load levels permit

## at 3.1.10.2ubuntu2

=== debian/changelog ===
at (3.1.10.2ubuntu2) jaunty; urgency=low

  * Set SENDMAIL to /usr/lib/sendmail in configure's env and drop ssmtp |
    mail-transport-agent build-deps.

 -- Loic Minier <lool@dooz.org>  Wed, 15 Apr 2009 12:22:47 +0200

at (3.1.10.2ubuntu1) jaunty; urgency=low

  * Merge from debian unstable, remaining changes:
    - debian/control: Drop mail-transport-agent to a Suggest
      and prefer real alternative postfix.
    - debian/control: Depend on lsb >= 3.2-14, which has the
      status_of_proc() function.
    - debian/rc: Add the 'status' action (Debian Bug: #506829)

 -- Dustin Kirkland <kirkland@ubuntu.com>  Mon, 24 Nov 2008 21:55:01 -0600

=== debian/control ===
Source: at
Section: admin
Priority: important
Maintainer: Ubuntu Core Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Ryan Murray <rmurray@debian.org>
Standards-Version: 3.6.2
Build-Depends: bison, flex, libpam0g-dev

Package: at
Architecture: any
Depends: ${shlibs:Depends}, lsb-base (>= 3.2-14)
Suggests: postfix | mail-transport-agent
Description: Delayed job execution and batch processing
 At and batch read shell commands from standard input
 storing them as a job to be scheduled for execution in the
 future.
 .
 Use
  at    to run the job at a specified time
  batch to run the job when system load levels permit

=== debian/rules ===
--- 
+++ 
@@ -27,7 +27,7 @@
 installdoc = install -g root -o root -m 644
 
 build:
-	-test -f config.cache || PATH=/usr/sbin:$${PATH} ./configure --prefix=/usr \
+	-test -f config.cache || PATH=/usr/sbin:$${PATH} SENDMAIL=/usr/lib/sendmail ./configure --prefix=/usr \
 		--with-loadavg_mx=1.5 \
 		--with-jobdir=/var/spool/cron/atjobs \
 		--with-atspool=/var/spool/cron/atspool
@@ -40,7 +40,7 @@
 clean: debclean
 	rm -f stamp-build
 	-$(MAKE) distclean
-	rm -rf *~ TAGS
+	rm -rf *~ TAGS tags
 
 debclean:
 # Cleans debian binary directories to allow binary creation
@@ -82,7 +82,7 @@
 	(cd debian/tmp/usr/share/man/man5 && ln -s at.allow.5.gz at.deny.5.gz)
 	$(installbin) -d debian/tmp/etc/init.d debian/tmp/etc/pam.d
 	$(installbin) debian/rc debian/tmp/etc/init.d/atd
-	$(installbin) debian/pam debian/tmp/etc/pam.d/atd
+	$(installbin) debian/pam -m 644 debian/tmp/etc/pam.d/atd
 	dpkg-shlibdeps debian/tmp/usr/sbin/atd debian/tmp/usr/bin/at
 	dpkg-gencontrol -isp
 	dpkg --build debian/tmp ..

## at 3.1.20

=== debian/changelog ===
at (3.1.20-3ubuntu1) zesty; urgency=medium

  * Merge from Debian unstable (LP: #1651557). Remaining changes:
    - Suggest an MTA rather than Recommending one.
  * Dropped changes:
    - Replace init script with Upstart job.
    - pam.conf: Included in Debian's 3.1.20-1.

 -- Jon Grimm <jon.grimm@canonical.com>  Thu, 22 Dec 2016 08:54:59 -0600

at (3.1.20-3) unstable; urgency=medium

  * New version, because the previous one was tagged in error and remote
    repository does not allow to remove tags.

 -- Jose M Calhariz <jose@calhariz.com>  Thu, 08 Dec 2016 19:21:58 +0000

at (3.1.20-2) UNRELEASED; urgency=low

  * Use dh_update_autotools_config.
  * dh_builddeb use xz as default compressor, no need to force it.
  * Add Build-Depend libfl-dev, (Closes: #846413).

 -- Jose M Calhariz <jose@calhariz.com>  Tue, 06 Dec 2016 19:27:45 +0000

at (3.1.20-1) unstable; urgency=low

  * New release 3.1.20:
    * Add option b to getopt, (Closes: #812972).
    * Comment a possible broken code, (Closes: #818508).
    * Add a fflush to catch more errors during writes, (Closes: #801186).
  * New upstream release 3.1.19:
    * Fix configure handling of flag --without-selinux.
  * Bump Standards-Version to 3.9.8, no changes needed.
  * Prepare for future hardening flags.
  * Bump source/format to 3.0 (quilt).
  * Update TODO.
  * Canonalize Vcs-*, they were broken.
  * Refresh debian/copyright.
  * Fully personalize debian/gbp.conf.
  * Create a proper watch file, using git mode because I do not know better.
  * Patches for a future version
    * Fix a typo in parsetime.y.
    * Accept Ubuntu patch for pam.conf.

 -- Jose M Calhariz <jose@calhariz.com>  Wed, 29 Jun 2016 22:28:42 +0100

at (3.1.18-2ubuntu1) xenial; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - pam.conf:
      Explicitly state that ~/.pam_environment shall be read, and move
      the pam_env call to the end so it's read also when $HOME is
      encrypted.
    - Suggest an MTA rather than Recommending one.

 -- Chris J Arges <chris.j.arges@canonical.com>  Thu, 14 Jan 2016 13:57:13 -0600

at (3.1.18-2) unstable; urgency=medium

  * Team upload.
  * debian/rules: Do not pass the --without-selinux flag on !linux
    architectures, the configure is a little bit fragile and do not cope well
    with it. This should fix the FTBFS on these architectures.

 -- Laurent Bigonville <bigon@debian.org>  Fri, 25 Dec 2015 10:44:01 +0100

at (3.1.18-1) unstable; urgency=low

  * Team Upload.
  [ Jose M Calhariz ]
  * New maintainer (Closes: #675322).
    * Thank you Ansgar Burchardt for maintaining at at Debian.
  * One depend by line for easier diffs and changes.
  * Add lintian overrides for secure files and directories.
  * Bump standards version to 3.9.6, no changes needed.
  * Upload to experimental because of GCC 5 transition.
  * Current todo list.
  * Apply patch for reproducible builds, thanks Valentin Lorentz,
    (Closes: #793996).
  * New release 3.1.17
    * Document behaviour when using past time, thanks Kelly Price
      (Closes: #639900).
    * Makefile.in: On distclean remove at.allow.5, auto generated file.
  * New release 3.1.18
    * Add SELinux support to run jobs in the proper domain (Closes: #510466).

  [ Laurent Bigonville ]
  * Do not try to build SELinux support on !linux architectures

 -- Laurent Bigonville <bigon@debian.org>  Mon, 21 Dec 2015 14:25:43 +0100

at (3.1.16-1ubuntu1) vivid; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - pam.conf:
      Explicitly state that ~/.pam_environment shall be read, and move
      the pam_env call to the end so it's read also when $HOME is
      encrypted.
    - Replace init script with Upstart job.
    - Suggest an MTA rather than Recommending one.

 -- Chris J Arges <chris.j.arges@ubuntu.com>  Sat, 10 Jan 2015 16:00:02 -0600

at (3.1.16-1) unstable; urgency=medium

  * New upstream release.

 -- Ansgar Burchardt <ansgar@debian.org>  Tue, 30 Sep 2014 08:33:05 +0200

at (3.1.15-1) unstable; urgency=medium

  * New upstream release:
    + pam.conf: require pam_loginuid.so (Closes: #677442)
  * Bumped Standards-Version to 3.9.5 (no changes).

 -- Ansgar Burchardt <ansgar@debian.org>  Sun, 10 Aug 2014 14:03:16 +0200

at (3.1.14-1ubuntu2) utopic; urgency=high

  * No change rebuild against new dh_installinit, to call update-rc.d at
    postinst.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 28 May 2014 10:38:52 +0100

at (3.1.14-1ubuntu1) trusty; urgency=low

  * Merge from Debian:
    - pam.conf:
      Explicitly state that ~/.pam_environment shall be read, and move
      the pam_env call to the end so it's read also when $HOME is
      encrypted.
    - Replace init script with Upstart job.
    - Suggest an MTA rather than Recommending one.

 -- Dmitrijs Ledkovs <xnox@ubuntu.com>  Mon, 21 Oct 2013 09:38:33 +0100

at (3.1.14-1) unstable; urgency=low

  * New upstream release:
    + No longer try to compile and run a trivial C program. (Closes: #632301)
    + Add systemd service file. (Closes: #639634)

  [ Prach Pongpanich ]
  * Bump debhelper Build-Depends to 9.
  * Bump Standards-Version to 3.9.4.
  * debian/control: Use canonical URI in Vcs-* fields.
  * Update copyright to format 1.0.

  [ Ansgar Burchardt ]
  * Install systemd service file.

 -- Ansgar Burchardt <ansgar@debian.org>  Sun, 08 Sep 2013 14:52:08 +0200

at (3.1.13-2ubuntu2) raring; urgency=low

  * pam.conf:
    Explicitly state that ~/.pam_environment shall be read, and move
    the pam_env call to the end so it's read also when $HOME is
    encrypted (LP: #952185).

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Thu, 14 Feb 2013 10:00:00 +0100

at (3.1.13-2ubuntu1) quantal; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Replace init script with Upstart job.
    - Suggest an MTA rather than Recommending one.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 11 Jun 2012 09:57:12 +0100

at (3.1.13-2) unstable; urgency=low



=== debian/control ===
Source: at
Section: admin
Priority: standard
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Jose M Calhariz <jose@calhariz.com>
Uploaders: Ansgar Burchardt <ansgar@debian.org>,
Standards-Version: 3.9.8
Build-Depends: autotools-dev,
               bison,
               debhelper (>= 9.20160114),
               dh-systemd,
               flex,
               libfl-dev,
               libpam0g-dev,
               libselinux1-dev [linux-any],
               perl (>= 5.10.1),
Vcs-Browser: https://anonscm.debian.org/git/collab-maint/at.git/
Vcs-Git: https://anonscm.debian.org/git/collab-maint/at.git/ -b debian
Homepage: http://blog.calhariz.com


Package: at
Architecture: any
Multi-Arch: foreign
Depends: libpam-runtime (>= 1.0.1-11),
         lsb-base (>= 3.2-14),
         ${misc:Depends},
         ${shlibs:Depends},
Suggests: default-mta | mail-transport-agent,
Description: Delayed job execution and batch processing
 At and batch read shell commands from standard input
 storing them as a job to be scheduled for execution in the
 future.
 .
 Use
  at    to run the job at a specified time
  batch to run the job when system load levels permit
